import { ActivatedRouteSnapshot, CanActivate, Router, RouterStateSnapshot } from '@angular/router';
import { WorkspaceParams } from '../types/commons';
export declare type GetWorkspaceUrl = (params: WorkspaceParams) => string | string[];
export declare class ProjectNamespaceGuard implements CanActivate {
    private readonly router;
    constructor(router: Router);
    canActivate(route: ActivatedRouteSnapshot, state: RouterStateSnapshot): true | import("@angular/router").UrlTree;
}
export declare class ProjectGuard implements CanActivate {
    private readonly router;
    constructor(router: Router);
    canActivate(route: ActivatedRouteSnapshot): true | import("@angular/router").UrlTree;
}
